﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditPriceGroupBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Catalog.EditPriceGroupBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary ID="ValidationSummary1" runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Name" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.IsNew ? QueryString.Common.Name : View.PriceGroup.Name %>" CssClass="mediumWidth" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" ErrorMessage="*" />
                <asp:CustomValidator runat="server" ErrorMessage="*" OnServerValidate="NameValidator_ServerValidate" />
            </div>
        </div>
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Description" />                    
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="DescriptionTextBox" Text="<%# View.PriceGroup.Description %>" TextMode="MultiLine" CssClass="mediumWidth smallHeight" />
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="LastModifiedOn" />                    
            </div>
            <div class="propertyItemContent">
                <asp:Label runat="server" Text="<%# View.IsNew ? String.Empty : View.PriceGroup.ModifiedOn.ToString() %>" />
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="LastModifiedBy" />      
            </div>
            <div class="propertyItemContent">
                <%# View.PriceGroup.ModifiedBy %>
            </div>
        </div>        
    </div>
    <div class="propertyPaneFooter">-</div>
</div>

<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Currency" />
            </div>
            <div class="propertyItemContent">
                <asp:DropDownList runat="server" ID="CurrencyDropDownList" DataSource="<%# View.Currencies %>" DataValueField="CurrencyId" DataTextField="ISOCode" CssClass="mediumWidth"></asp:DropDownList>
            </div>
        </div>
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="VatRate" />      
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="VatRateTextBox" Text="<%# View.PriceGroup.VATRate * 100 %>" />&nbsp;%
                <asp:RangeValidator runat="server" ControlToValidate="VatRateTextBox" Type="Double" MinimumValue="0" MaximumValue="<%# 999 %>" ErrorMessage="!" />
            </div>
        </div>        
    </div>
    <div class="propertyPaneFooter">-</div>
</div>