﻿<%@ Import Namespace="UCommerce.Entities"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditShippingMethodPrices.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Orders.EditShippingMethodPrices" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <div><asp:Localize runat="server" meta:resourceKey="Description" /></div>
            
            <commerce:BulkEditGridView BulkEdit="true" runat="server" ID="ShippingMethodPricesGridView" DataSource="<%# ShippingMethodPrices %>" ShowHeader="true" DataKeyNames="ShippingMethodPriceId" AutoGenerateColumns="false" GridLines="None">
                <columns>
                    <asp:TemplateField meta:resourceKey="EnabledHeader" ControlStyle-Width="50px">
                        <EditItemTemplate>
                            <asp:CheckBox runat="server" 
                                ID="EnabledCheckBox" 
                                Checked="<%# !((ShippingMethodPrice)Container.DataItem).IsNew() %>" />                                
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField meta:resourceKey="CurrencyHeader" ControlStyle-Width="100px">
                        <EditItemTemplate>  
                            <asp:HiddenField runat="server" ID="ShippingMethodPriceId" Value="<%# ((ShippingMethodPrice)Container.DataItem).ShippingMethodPriceId %>" />
                            <asp:HiddenField runat="server" ID="CurrencyId" Value="<%# ((ShippingMethodPrice)Container.DataItem).CurrencyId %>" />
                            <%# ((ShippingMethodPrice)Container.DataItem).Currency.ISOCode %>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField meta:resourceKey="PriceGroupHeader">
                        <EditItemTemplate>
                            <commerce:SafeDropDownList runat="server"
                                ID="PriceGroupDropDown"                                 
                                SkipCheckSetValueConstraint="true"
                                AllowPrebindSet="true"                          
                                SelectedValue="<%# ((ShippingMethodPrice)Container.DataItem).PriceGroupId %>"
                                DataSource="<%# ((ShippingMethodPrice)Container.DataItem).Currency.GetSupportedPriceGroups() %>"
                                DataValueField="PriceGroupId"
                                DataTextField="Name"
                                OnDataBound="PriceGroupDropDown_DataBound"
                                CssClass="mediumWidth" />                            
                        </EditItemTemplate>                   
                    </asp:TemplateField>
                    <asp:TemplateField meta:resourceKey="PriceHeader">
                        <EditItemTemplate>
                            <asp:TextBox runat="server" ID="PriceTextBox" Text="<%# ((ShippingMethodPrice)Container.DataItem).Price %>" CssClass="amountInput"></asp:TextBox>
                            <%# ((ShippingMethodPrice)Container.DataItem).Currency.ISOCode %>
                            <asp:RequiredFieldValidator runat="server" ControlToValidate="PriceTextBox" ErrorMessage="!" />
                            <asp:RangeValidator runat="server" ControlToValidate="PriceTextBox" Type="Double" MinimumValue="0" MaximumValue="<%# decimal.MaxValue %>" ErrorMessage="!" />
                        </EditItemTemplate>
                    </asp:TemplateField>
                </columns>
            </commerce:BulkEditGridView>
        </div>
    </div>
</div> 
